Create application instructions for a Vultr Marketplace app using the Vultr Console or Vultr API to guide customers through steps after deploying your app.
After a customer deploys the app, the Marketplace shows them the application instructions, which include the technical getting-started steps and the application variables you defined.
This guide explains how to create the application instructions using the Vultr Console or the Vultr API.
Click Marketplace in the Vultr Console's left-hand menu.
Click the application name to open the Edit App screen.
Click the App Instructions tab.
Enter the customer instructions for your application in Markdown format, in the Write tab of the editor. If you created application variables, display those values here by placing them in backticks and double braces.
Variables are expanded when placed in double braces. Backticks are required for password variables to prevent special characters from being interpreted incorrectly as Markdown. For example, if your variable is named web_password, you can display the variable in your instructions like this:
`{{web_password}}`In addition, you can display two standard variables, which always exist and do not need to be predefined:
{{ip}} is the primary IPv4 for the instance.{{root_password}} is the root password.The {{ip}} variable is a special case. It does not need to be guarded with backticks because IP addresses do not contain any characters that are interpreted as Markdown.
The following example instruction page demonstrates correct Markdown formatting:
# Example Application
Your application is ready.
* Your server's IP address is: {{ip}}.
* The root password is: `{{root_password}}`.
Connect to your web server at [**https://{{ip}}/**](https://{{ip}}/).
* Your webserver username is: **demo**.
* Your webserver password is: `{{web_password}}`.
The MySQL root password is: `{{db_pass}}`.In addition to basic login and password information, you can upload images and provide hyperlinks to other resources.
Click the Update Getting Started Instructions button to save your changes.
Send a PATCH request to the Update Marketplace App endpoint to set the instructions. Replace {app-id} with the app's ID.
$ curl "https://api.vultr.com/v2/marketplace/apps/{app-id}" \
-X PATCH \
-H "Authorization: Bearer ${VULTR_API_KEY}" \
-H "Content-Type: application/json" \
-d '{
"instructions": "INSTRUCTIONS-MARKDOWN"
}'
The response contains the updated app object.